<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Part III. Additional cell renderers: Exo Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="Exo Reference Manual">
<link rel="up" href="index.html" title="Exo Reference Manual">
<link rel="prev" href="ExoTreeView.html" title="ExoTreeView">
<link rel="next" href="ExoCellRendererIcon.html" title="ExoCellRendererIcon">
<meta name="generator" content="GTK-Doc V1.32 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts"></td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><img src="up-insensitive.png" width="16" height="16" border="0"></td>
<td><a accesskey="p" href="ExoTreeView.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="ExoCellRendererIcon.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="part">
<div class="titlepage"><div><div><h1 class="title">
<a name="exo-cell-renderers"></a>Part III. Additional cell renderers</h1></div></div></div>
<div class="toc">
<p><b>Table of Contents</b></p>
<dl class="toc"><dt>
<span class="refentrytitle"><a href="ExoCellRendererIcon.html">ExoCellRendererIcon</a></span><span class="refpurpose"> — Renders an icon in a cell</span>
</dt></dl>
</div>
<p>
      Gtk+ contains various cell renderers that are intended to be used with GtkTreeView
      and GtkComboBox, but are difficult to use with <a class="link" href="ExoIconView.html" title="ExoIconView">ExoIconView</a>
      (or even GtkIconView), mainly because the renderers do not follow the state of the view and
      render appropriate indicators.
    </p>
<p>
      Because of these issues, the <a class="link" href="ExoCellRendererIcon.html" title="ExoCellRendererIcon">ExoCellRendererIcon</a> class is provided, which
      includes a <code class="literal">follow-state</code> property that tells whether the renderer should follow the state of the view and
      draw appropriate indicators.
    </p>
<p>
      The <a class="link" href="ExoCellRendererIcon.html" title="ExoCellRendererIcon">ExoCellRendererIcon</a> class should also be preferred over the the GtkCellRendererPixbuf class when using named icons or image files because it uses a fixed
      size for layouting and loads the icons only on-demand (utilizing the thumbnail database whenever possible).
    </p>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.32</div>
</body>
</html>